Skip to main content
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/starter-bundle-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68b3e3473e2ea6249862bddf",
  "offerUiType": "Bundle",
  "name": "Starter Bundle Design",
  "externalId": "starter-bundle-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "backgroundColor": {
    "colorOne": "#E7CF88",
    "colorTwo": "#FDFCF9",
    "gradientDirection": "to right"
  },
  "buttonSuffixImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix.png",
  "buttonSuffixAnimation": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-animation.json"
}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/starter-bundle-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68b3e3473e2ea6249862bddf",
  "offerUiType": "Bundle",
  "name": "Starter Bundle Design",
  "externalId": "starter-bundle-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "backgroundColor": {
    "colorOne": "#E7CF88",
    "colorTwo": "#FDFCF9",
    "gradientDirection": "to right"
  },
  "buttonSuffixImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix.png",
  "buttonSuffixAnimation": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-animation.json"
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Response

Bundle design deleted successfully.

id
string

Design ID.

Example:

"68b3e3473e2ea6249862bddf"

offerUiType
enum<string>

Type of offer design.

Available options:
Bundle
Example:

"Bundle"

name
string

Offer design name.

Example:

"Starter Bundle Design"

externalId
string

Design ID that you defined.

Example:

"starter-bundle-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

backgroundColor
object

Background color configuration for the bundle offer design.

externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

buttonSuffixImage
string

Button asset suffix for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix.png"

buttonSuffixAnimation
string

Button asset suffix animation for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-animation.json"